using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("辨识要求表")]
    public class T_SK_RISK_IDENTIFY_RESULT_SUMMARY_REQUIRE : MesEntityBase
    {
        /// <summary>
        /// 安全风险辨识结果汇总
        /// </summary>
        [Description("安全风险辨识结果汇总")]
        [DataFieldForeignKey("Nav_IdentifySummary", "Nav_Requires")]
        public Guid IDENTIFY_RESULT_SUMMARY_ID { get; set; }

        /// <summary>
        /// 导航：安全风险辨识结果汇总
        /// </summary>
        [Description("导航：安全风险辨识结果汇总")]
        public virtual T_SK_RISK_IDENTIFY_RESULT_SUMMARY Nav_IdentifySummary { get; set; }

        [Description("辨识要求")]
        [DataFieldForeignKey("Nav_Require")]
        public Guid? REQUIRE_ID { get; set; }

        [Description("导航属性：辨识要求")]
        public virtual T_SK_REQUEST Nav_Require { get; set; }
    }
}
